Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo
Class DocumentEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit

All Implemented Interfaces:
  UndoableEdit

Direct Known Subclasses:
  ApplyNameTableEdit, AutoPositionLabelsEdit, BranchLengthEdit, ChangeLabelIDEdit, ComplexDocumentEdit, DeleteEdit, EditNodeBranchDataEdit, GlobalFormatsEdit, ImportTableEdit, InsertLabelsEdit, InsertRemoveLabelEdit, InsertRemoveLegendEdit, InsertSiblingEdit, MoveSubtreeEdit, NodeBranchDataEdit, NodeBranchDataFormatEdit, OperatorsEdit, PasteAllLabelsEdit, PasteLabelEdit, PasteLegendEdit, PasteSubtreeEdit, PieChartLabelIDsEdit, ReanchorLegendEdit, RenameDataIDEdit, SaveLegendsEdit, ScaleBranchLengthsEdit, ScaleDistanceValuesEdit, SeparateBranchEdit, TextElementEdit

    public abstract class DocumentEdit

extends Object
implements UndoableEdit

Field Summary
`protected Document` | `document`
`private boolean` | `isSubedit`

Constructor Summary
`DocumentEdit(Document document)`

Method Summary
`boolean` | `addEdit(UndoableEdit arg0)`
`boolean` | `canRedo()`
`boolean` | `canUndo()`
`void` | `die()`
`boolean` | `getIsSubedit()`
`String` | `getRedoPresentationName()`
`String` | `getUndoPresentationName()`
`boolean` | `isSignificant()`
`void` | `redo()`
`boolean` | `replaceEdit(UndoableEdit arg0)`
`void` | `setIsSubedit(boolean isSubedit)` Indicates whether this edit is independent or part of another edit.
`void` | `undo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.undo.UndoableEdit
`getPresentationName`

Field Detail

### document

    protected Document document

### isSubedit

    private boolean isSubedit

Constructor Detail

### DocumentEdit

    public DocumentEdit(Document document)

Method Detail

### getIsSubedit

    public boolean getIsSubedit()

### setIsSubedit

    public void setIsSubedit(boolean isSubedit)

  Indicates whether this edit is independent or part of another edit. The value of this property determines if the document is informed if this edit was redone or undone.

  Parameters:
    `isSubedit` -
  Since:
    2.0.44

### addEdit

    public boolean addEdit(UndoableEdit arg0)

  Specified by:
    `addEdit` in interface `UndoableEdit`

### canRedo

    public boolean canRedo()

  Specified by:
    `canRedo` in interface `UndoableEdit`

### canUndo

    public boolean canUndo()

  Specified by:
    `canUndo` in interface `UndoableEdit`

### die

    public void die()

  Specified by:
    `die` in interface `UndoableEdit`

### getRedoPresentationName

    public String getRedoPresentationName()

  Specified by:
    `getRedoPresentationName` in interface `UndoableEdit`

### getUndoPresentationName

    public String getUndoPresentationName()

  Specified by:
    `getUndoPresentationName` in interface `UndoableEdit`

### isSignificant

    public boolean isSignificant()

  Specified by:
    `isSignificant` in interface `UndoableEdit`

### replaceEdit

    public boolean replaceEdit(UndoableEdit arg0)

  Specified by:
    `replaceEdit` in interface `UndoableEdit`

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Throws:
    `CannotUndoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD